Crazy Eddies GUI System: CEGUI::Interpolator Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CEGUI::Interpolator Class Reference

Defines a 'interpolator' class. More...

Inherited by CEGUI::BoolInterpolator, CEGUI::ColourInterpolator, CEGUI::ColourRectInterpolator, CEGUI::FloatInterpolator, CEGUI::IntInterpolator, CEGUI::PointInterpolator, CEGUI::RectInterpolator, CEGUI::SizeInterpolator, CEGUI::StringInterpolator, CEGUI::UBoxInterpolator, CEGUI::UDimInterpolator, CEGUI::UintInterpolator, CEGUI::URectInterpolator, CEGUI::UVector2Interpolator, and CEGUI::Vector3Interpolator.

List of all members.

## Public Member Functions
virtual | ~Interpolator (void)
| destructor
virtual const String & | getType () const =0
| returns type string of this interpolator
virtual String | interpolateAbsolute (const String &value1, const String &value2, float position)=0
virtual String | interpolateRelative (const String &base, const String &value1, const String &value2, float position)=0
virtual String | interpolateRelativeMultiply (const String &base, const String &value1, const String &value2, float position)=0

## Detailed Description

Defines a 'interpolator' class.

Interpolator allows you to interpolate between 2 properties. You can jut pass them as strings and Interpolator does everything for you.

If you want to define your own interpolator, inherit this class and add it to AnimationManager via AnimationManager::addInterpolator to make it available for animations.

See also:
  AnimationManager

## Member Function Documentation

virtual String CEGUI::Interpolator::interpolateAbsolute | ( | const String & | value1,
|  | const String & | value2,
|  | float | position
| ) |  | `[pure virtual]`

this is used when Affector is set to apply values in absolute mode (application method == AM_Absolute)

Implemented in CEGUI::StringInterpolator, CEGUI::FloatInterpolator, CEGUI::UintInterpolator, CEGUI::IntInterpolator, CEGUI::BoolInterpolator, CEGUI::SizeInterpolator, CEGUI::PointInterpolator, CEGUI::Vector3Interpolator, CEGUI::RectInterpolator, CEGUI::ColourInterpolator, CEGUI::ColourRectInterpolator, CEGUI::UDimInterpolator, CEGUI::UVector2Interpolator, CEGUI::URectInterpolator, and CEGUI::UBoxInterpolator.

virtual String CEGUI::Interpolator::interpolateRelative | ( | const String & | base,
|  | const String & | value1,
|  | const String & | value2,
|  | float | position
| ) |  | `[pure virtual]`

this is used when Affector is set to apply values in relative mode (application method == AM_Relative)

Implemented in CEGUI::StringInterpolator, CEGUI::FloatInterpolator, CEGUI::UintInterpolator, CEGUI::IntInterpolator, CEGUI::BoolInterpolator, CEGUI::SizeInterpolator, CEGUI::PointInterpolator, CEGUI::Vector3Interpolator, CEGUI::RectInterpolator, CEGUI::ColourInterpolator, CEGUI::ColourRectInterpolator, CEGUI::UDimInterpolator, CEGUI::UVector2Interpolator, CEGUI::URectInterpolator, and CEGUI::UBoxInterpolator.

virtual String CEGUI::Interpolator::interpolateRelativeMultiply | ( | const String & | base,
|  | const String & | value1,
|  | const String & | value2,
|  | float | position
| ) |  | `[pure virtual]`

this is used when Affector is set to apply values in relative multiply mode (application method == AM_RelativeMultiply)

Implemented in CEGUI::StringInterpolator, CEGUI::FloatInterpolator, CEGUI::UintInterpolator, CEGUI::IntInterpolator, CEGUI::BoolInterpolator, CEGUI::SizeInterpolator, CEGUI::PointInterpolator, CEGUI::Vector3Interpolator, CEGUI::RectInterpolator, CEGUI::ColourInterpolator, CEGUI::ColourRectInterpolator, CEGUI::UDimInterpolator, CEGUI::UVector2Interpolator, CEGUI::URectInterpolator, and CEGUI::UBoxInterpolator.